%global gem_name selenium-webdriver
Summary:             The next generation developer focused tool for automated testing of webapps
Name:                rubygem-%{gem_name}
Version:             2.45.0
Release:             1
License:             ASL 2.0
URL:                 https://www.selenium.dev
Source0:             http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:            ruby(release) ruby(rubygems) ruby rubygem(childprocess) >= 0.5
Requires:            rubygem(multi_json) >= 1.0 rubygem(rubyzip) >= 1.0 rubygem(websocket) >= 1.0
BuildRequires:       ruby(release) rubygems-devel ruby
BuildArch:           noarch
Provides:            rubygem(%{gem_name}) = %{version}
%description
WebDriver is a tool for writing automated tests of websites. It aims to mimic
the behavior of a real user, and as such interacts with the HTML of the
application.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{gem_libdir}/selenium/webdriver/firefox/native/linux/x86/x_ignore_nofocus.so
rm -f %{buildroot}%{gem_libdir}/selenium/webdriver/firefox/native/linux/amd64/x_ignore_nofocus.so
rm -f %{buildroot}%{gem_libdir}/selenium/webdriver/ie/native/x64/IEDriver.dll
rm -f %{buildroot}%{gem_libdir}/selenium/webdriver/ie/native/win32/IEDriver.dll
rm -f %{buildroot}%{gem_instdir}/Gemfile*
rm -f %{buildroot}%{gem_instdir}/%{gem_name}.gemspec

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/CHANGES
%doc %{gem_instdir}/README.md
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Wed Aug 19 2020 xiezheng <xiezheng4@huawei.com> - 2.45.0-1
- package init
